## org.eclipse.datatools.connectivity.drivers
Class DriverValidator

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.DriverValidator

    public class DriverValidator

extends java.lang.Object

Validates a driver instance.

Author:
  brianf

Constructor Summary
`DriverValidator(DriverInstance driverInstance)` Driver validator constructor
`DriverValidator(TemplateDescriptor template, IPropertySet instance)` Constructor

Method Summary
`static void` `addProblemMarker(java.lang.String name, java.lang.String message)`
`java.lang.String` `getMessage()` Return the error message.
`boolean` `isValid()` Return true/false if the driver instance is valid
`boolean` `isValid(boolean registerMarkers)` Checks for validity and adds markers if flag is set
`static void` `removeOldProblemMarkers(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverValidator

    public DriverValidator(TemplateDescriptor template,
                           IPropertySet instance)

  Constructor

  Parameters:
    `template` -
    `instance` -

### DriverValidator

    public DriverValidator(DriverInstance driverInstance)

  Driver validator constructor

  Parameters:
    `driverInstance` -

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return the error message.

  Returns:
    String of error message

### isValid

    public boolean isValid()

  Return true/false if the driver instance is valid

  Returns:
    boolean true if valid, false otherwise

### isValid

    public boolean isValid(boolean registerMarkers)

  Checks for validity and adds markers if flag is set

  Parameters:
    `registerMarkers` -
  Returns:

### addProblemMarker

    public static void addProblemMarker(java.lang.String name,
                                        java.lang.String message)

### removeOldProblemMarkers

    public static void removeOldProblemMarkers(java.lang.String name)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.